## extlib 1.3

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile contributed by Alain Frisch
 
 MODULES = \
- enum bitSet dbi dynArray extHashtbl extList extString global IO IOO option \
- pMap refList std uChar uTF8 base64
+ enum bitSet dbi dynArray extHashtbl extList extString global IO option \
+ pMap std uChar uTF8 base64 unzip refList optParse dllist
 
 # the list is topologically sorted
