## extlib 1.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile contributed by Alain Frisch
 
 MODULES = \
- enum bitSet dbi dynArray extHashtbl extList extString global IO option \
+ enum bitSet dynArray extHashtbl extList extString global IO option \
  pMap std uChar uTF8 base64 unzip refList optParse dllist
 
 # the list is topologically sorted
