## extlib 1.5.2

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,6 @@
 	cp odoc_style.css doc/style.css
 
 install:
-	cp META.txt META
 	ocamlfind install extlib META *.cmi *.cma $(MLI) $(wildcard *.cmxa) $(wildcard *.a)
 
 uninstall:
