=== debian/changelog ===
extlib (1.5.2-1) unstable; urgency=low

  * New upstream release
  * Remove Stefano from Uploaders
  * Switch source package format to 3.0 (quilt)
  * Bump Standards-Version to 3.9.2
  * Bump debhelper compat level to 8

 -- Stéphane Glondu <glondu@debian.org>  Mon, 15 Aug 2011 20:52:15 +0200

extlib (1.5.1-5) unstable; urgency=low

  * Switch packaging to dh-ocaml 0.9

 -- Stéphane Glondu <glondu@debian.org>  Fri, 30 Oct 2009 18:19:25 +0100

extlib (1.5.1-4) unstable; urgency=low

  * Build and install native plugin
  * Add README.source
  * debian/control:
    - add myself to Uploaders
    - move to section ocaml
    - add binary package libextlib-ocaml
    - update Standards-Version to 3.8.3

 -- Stéphane Glondu <glondu@debian.org>  Mon, 31 Aug 2009 18:39:52 +0200

extlib (1.5.1-3) unstable; urgency=low

  * uploading to unstable
  * debian/control:
    - bump build-deps to avoid spurious build failures in unstable
  * remove obsolete debian/svn-deblayout (we now use git)
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet, bump dh-ocaml
    build-dep to the minimum version implementing it

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 26 Feb 2009 23:24:05 +0100

extlib (1.5.1-2) experimental; urgency=low

  * rebuild with OCaml 3.11
  * debian/control:
    - bump Standards-Version (no changes required)
    - add build-dep on dh-ocaml (which now ships the CDBS class)
    - strengthen deps to OCaml (to ensure proper build in experimental)
    - rely on debhelper 7 (bump deps and debian/compat accordingly)
  * make Vcs-* fields point to the new git repository

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 01 Feb 2009 18:49:41 +0100

extlib (1.5.1-1) unstable; urgency=low

  * new upstream release, reflecting project relocation (closes: #458257)
    - update debian/watch to point to the new download url
    - update Homepage field in debian/control
  * fix vcs-svn field to point just above the debian/ dir
  * rename upstream/ with tarballs/ and shorten debian/svn-deblayout
    accordingly
    - update debian/patches/00dpatch.conf to point to ../tarballs/
  * refresh patch build_with_debug_info to match new upstream

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 07 Jan 2008 22:07:50 +0100

extlib (1.5-10) unstable; urgency=low

  * promote Homepage to a real debian/control field
  * update standards-version, no changes needed
  * setting me as an uploader, d-o-m as the maintainer

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 28 Dec 2007 20:24:47 +0100

extlib (1.5-9) unstable; urgency=low

  * debian/rules
    - use CDBS support to generated ocamldoc documentation
  * debian/patches
    - remove no longer needed patch 03_install (was only useful to tune
      ocamldoc generation)
  * debian/*.doc-base
    - remove doc-base entry for ocamldoc API reference, now it will be
      automatically generated during build

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 04 Sep 2007 10:02:33 +0200

extlib (1.5-8) experimental; urgency=low

  * rebuild against 3.10
  * bump debhelper dep and compatibility to 5

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 12 Jul 2007 15:41:38 +0200

extlib (1.5-7) unstable; urgency=low

  * compile objects with debugging information, patch from Ivan Jager
    (Closes: #415194)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 09 Apr 2007 15:29:33 +0200

extlib (1.5-6) unstable; urgency=low

  * debian/rules
    - switched to cdbs
  * debian/control
    - bumped build dependency on ocaml-nox to >= 3.09.2-7 since we now rely on
      the ocaml.mk cdbs class
    - added build dependency on cdbs

 -- Stefano Zacchiroli <zack@debian.org>  Sat,  4 Nov 2006 09:34:17 +0100

extlib (1.5-5) unstable; urgency=low

  * debian/rules
    - avoid to create debian/control from debian/control.in on ocamlinit
  * debian/control.in
    - file removed, no longer needed

 -- Stefano Zacchiroli <zack@debian.org>  Wed,  6 Sep 2006 09:44:06 +0200

extlib (1.5-4) unstable; urgency=low

  * Upload to unstable.

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 16 May 2006 20:09:50 +0000

extlib (1.5-3) experimental; urgency=low

  * Rebuilt against OCaml 3.09.2, bumped deps accordingly.
  * Bumped Standards-Version to 3.7.2 (no changes needed).

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 11 May 2006 23:51:32 +0000

extlib (1.5-2) unstable; urgency=low

  * debian/patches/03_install.dpatch
    - bugfix: invoke ocamldoc to generate html documentation

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 20 Feb 2006 12:33:04 -0500

extlib (1.5-1) unstable; urgency=low

  * New upstream release (closes: #353734)
  * debian/patches/03_install.dpatch
    - new patch to avoid installing unexistent .css file
  * debian/control
    - added homepage to long description
  * debian/copyright
    - updated wrt current authors and maintainers
  * debian/*
    - comsetic changes here and there
  * debian/watch
    - added watch file

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 20 Feb 2006 11:34:46 -0500

extlib (1.4-5) unstable; urgency=low

  * Rebuilt against OCaml 3.09.1, bumped deps accordingly.

 -- Stefano Zacchiroli <zack@debian.org>  Sat,  7 Jan 2006 11:51:10 +0100

extlib (1.4-4) unstable; urgency=low

  * debian/rules
    - more precise mv statement due to more restrictive coreutils,
      fixes FTBFS (closes: #340879).
      Thanks to Roland Stigge for the patch.

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 26 Nov 2005 18:52:47 +0100

extlib (1.4-3) unstable; urgency=low

  * Rebuilt with ocaml 3.09 (closes: #338098)
  * debian/control
    - bumped standards version
  * debian/*
    - no longer hardcoding of ocaml abi

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 10 Nov 2005 09:19:59 +0000

extlib (1.4-2) unstable; urgency=low

  * Changed doc-base section to Apps/Programming (closes: #310760).

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 26 May 2005 22:38:18 +0200

extlib (1.4-1) unstable; urgency=low

  * New upstream release


