=== debian/changelog ===
extlib (1.5.4-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:12:23 +0100

extlib (1.5.4-1) experimental; urgency=low

  [ Mehdi Dogguy ]
  * Update patch 0001-Compile-ocaml-objects-with-debugging-information.patch
    to build native library with debugging symbols too (Closes: #649862)

  [ Lifeng Sun ]
  * New upstream release. (Closes: #663905, #596622)
  * Bump Standards-Version to 3.9.4.
  * debian/control: canonical VCS-* fields.
  * debian/copyright: switch to dep5 format.
  * Add myself to Uploaders.

 -- Lifeng Sun <lifongsun@gmail.com>  Wed, 24 Jul 2013 17:21:35 +0800
