=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Stéphane Glondu <glondu@debian.org>
+ Stéphane Glondu <glondu@debian.org>,
+ Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
- ocaml-nox (>= 3.11.1-3~),
- ocaml-findlib (>= 1.2.5),
+ ocaml-nox (>= 4.00.1),
+ ocaml-findlib (>= 1.3.2),
  debhelper (>= 8),
  cdbs,
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/extlib.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/extlib.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/extlib.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/extlib.git
 Homepage: http://code.google.com/p/ocaml-extlib/
 
 Package: libextlib-ocaml-dev
