=== debian/watch ===
version=3
http://code.google.com/p/ocaml-extlib/ .*/?files/extlib-(.*)\.tar\.gz
