=== debian/changelog ===
extlib (1.6.1-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 07 Aug 2014 10:04:18 +0200
