=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
  ocaml-nox (>= 4.00.1),
+ camlp4-extra,
  ocaml-findlib (>= 1.3.2),
  debhelper (>= 8),
  cdbs,
