=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,10 @@
 common-build-arch::
 	mkdir -p $(DESTDIR)/ $(DOCDIR)/
 	if [ -x /usr/bin/ocamlopt ]; then \
-		ocaml install.ml -d $(DESTDIR)/ -b -n -nodoc; \
+		ocaml install.ml -d $(DESTDIR)/ -b -n -nodoc -full; \
 		ocamlopt -shared -linkall -o $(DESTDIR)/extLib.cmxs -I $(DESTDIR) $(DESTDIR)/extLib.cmxa; \
 	else \
-		ocaml install.ml -d $(DESTDIR)/ -b -nodoc; \
+		ocaml install.ml -d $(DESTDIR)/ -b -nodoc -full; \
 	fi
 	cp -a extLib.ml *.mli $(DESTDIR)/
 	cp -a META $(DESTDIR)/META
