=== debian/watch ===
version=3
http://code.google.com/p/ocaml-extlib/downloads/list .*/extlib-(.*)\.tar\.gz
