=== debian/changelog ===
extlib (1.7.0-3build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 11:46:23 +0200

extlib (1.7.0-3build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 Jun 2017 10:09:25 +0100

extlib (1.7.0-3) unstable; urgency=medium

  [ Johannes Schauer ]
  * Team upload.
  * d/control: fix Homepage field as project moved from code.google.com to
    github.com
  * d/copyright: add ygrek as new upstream contact and use github

  [ Ralf Treinen ]
  * standards-version 3.9.8 (no change)
  * update Vcs-{Git,Browser}

 -- Ralf Treinen <treinen@debian.org>  Tue, 25 Oct 2016 20:35:25 +0200

extlib (1.7.0-2) unstable; urgency=medium

  * Team upload.
  * fix builds on architectures without ocamlopt

 -- Johannes Schauer <josch@debian.org>  Mon, 31 Aug 2015 10:39:38 +0200

extlib (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * switch to dh style debian/rules
  * bump Standards-Version to 3.9.6 (no changes needed)
  * fix debian/copyright to not use a pipe symbol anymore in the license name
    but to instead use the "foo with bar exception" format
  * update debian/watch as upstream moved to github
  * build depend on cppo instead of camlp4-extra as upstream replaced the
    latter for the former
  * build-depend on ocaml-findlib with (>= 1.5.1) as per upstream requirement
  * build-depend on libfindlib-ocaml-dev for the bytes module
  * upstream README is now README and not README.txt
  * install upstream changelog

 -- Johannes Schauer <josch@debian.org>  Sun, 30 Aug 2015 12:29:32 +0200
