=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: extlib
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
+ debhelper (>= 9),
  ocaml-nox (>= 4.00.1),
- camlp4-extra,
- ocaml-findlib (>= 1.3.2),
- debhelper (>= 8),
- cdbs,
+ cppo,
+ ocaml-findlib (>= 1.5.1),
+ libfindlib-ocaml-dev (>= 1.5.1),
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/extlib.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/extlib.git
-Homepage: http://code.google.com/p/ocaml-extlib/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/extlib.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/extlib.git
+Homepage: https://github.com/ygrek/ocaml-extlib
 
 Package: libextlib-ocaml-dev
 Architecture: any
