=== debian/watch ===
version=3
opts="filenamemangle=s/.*?\/(\d[\d.]*)\.tar\.gz/extlib-$1.tar.gz/" \
  https://github.com/ygrek/ocaml-extlib/releases .*?/(\d[\d.]*)\.tar\.gz
