=== debian/changelog ===
extlib (1.7.6-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:21:58 +0000

extlib (1.7.6-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Remove Lifeng from Uploaders (Closes: #925072)
  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

  [ Andy Li ]
  * Add dh_missing --fail-missing.
  * Add autopkgtest support.

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Aug 2019 14:10:38 +0200
