=== debian/control ===
--- 
+++ 
@@ -4,18 +4,17 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Stéphane Glondu <glondu@debian.org>,
- Lifeng Sun <lifongsun@gmail.com>
+ Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  ocaml-nox (>= 4.00.1),
  cppo,
  ocaml-findlib (>= 1.5.1),
  libfindlib-ocaml-dev (>= 1.5.1),
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/extlib.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/extlib.git
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/ocaml-team/extlib
+Vcs-Git: https://salsa.debian.org/ocaml-team/extlib.git
 Homepage: https://github.com/ygrek/ocaml-extlib
 
 Package: libextlib-ocaml-dev
