=== debian/changelog ===
extlib (1.7.7-2) unstable; urgency=medium

  * Add empty dh_dwz override (Closes: #965115)
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jul 2020 13:35:16 +0200

extlib (1.7.7-1) unstable; urgency=medium

  [ Andy Li ]
  * New upstream release
  * To align with the OPAM extlib package, build with minimal=1,
    i.e. excluding Unzip, UChar, and UTF8.
  * Bump Standards-Version to 4.5.0

  [ Stéphane Glondu ]
  * Build-depend on debhelper-compat
  * Check DEB_BUILD_OPTIONS before running tests
  * Fix ocamldoc generation
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 19 May 2020 08:33:12 +0200
