=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: extlib
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 12),
- ocaml-nox (>= 4.00.1),
+ debhelper-compat (= 13),
+ ocaml-nox,
  cppo,
- ocaml-findlib (>= 1.5.1),
- libfindlib-ocaml-dev (>= 1.5.1),
- dh-ocaml (>= 0.9)
-Standards-Version: 4.4.0
+ ocaml-findlib,
+ libfindlib-ocaml-dev,
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/extlib
 Vcs-Git: https://salsa.debian.org/ocaml-team/extlib.git
 Homepage: https://github.com/ygrek/ocaml-extlib
