=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	# if we do not create this directory manually beforehand, `ocamlfind install` will exit with:
 	# ocamlfind: Bad configuration: Cannot mkdir [...] because a path component does not exist or is not a directory
 	mkdir -p $(OCAMLFIND_DESTDIR)
-	dh_auto_install
+	dh_auto_install -- minimal=1
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES
@@ -20,11 +20,12 @@
 # do not require ocamlopt during building or testing
 ifneq ($(OCAML_HAVE_OCAMLOPT),yes)
 override_dh_auto_build:
-	make -C src all
+	make minimal=1 -C src all
 
 override_dh_auto_test:
-	make -C test all run
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	make minimal=1 -C test all run
+endif
 endif
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:
