=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  cppo,
  ocaml-findlib,
  libfindlib-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/extlib
 Vcs-Git: https://salsa.debian.org/ocaml-team/extlib.git
