## extlib 1.7.9

=== debian/changelog ===
extlib (1.7.9-2) unstable; urgency=medium

  * Fix autopkgtest (Closes: #1074557)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 01 Jul 2024 02:56:03 +0200

extlib (1.7.9-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.7.0

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + libextlib-ocaml: Drop versioned constraint on libextlib-ocaml-dev in
      Replaces.
    + libextlib-ocaml: Drop versioned constraint on libextlib-ocaml-dev in
      Breaks.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 29 Jun 2024 08:47:42 +0200
