## extlib 1.8.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 VERSION:=$(shell git --git-dir=.git describe --always --long)
-RELEASE:=1.7.8
+RELEASE:=1.8.0
 
 ifndef VERSION
 VERSION:=$(RELEASE)
@@ -12,6 +12,10 @@
 
 build:
 	$(MAKE) -C src build
+
+# bytecode-only target:
+all:
+	$(MAKE) -C src all
 
 install:
 	$(MAKE) -C src VERSION=$(VERSION) install
@@ -48,21 +52,12 @@
 sw_test_$(1):
 	-opam exec --switch=$(1) -- make clean build test >/dev/null 2>/dev/null
 # expected to fail < 4.03.0
-ifneq "$(1)" "3.12.1"
-ifneq "$(1)" "4.00.1"
-ifneq "$(1)" "4.01.0"
 ifneq "$(1)" "4.02.3"
-	-opam exec --switch=$(1) -- ocaml test/std.ml
-endif
-endif
-endif
+	-opam exec --switch=$(1) -- ocaml check_stdlib.ml
 endif
 endef
 
 $(foreach version,\
-	3.12.1\
-	4.00.1\
-	4.01.0\
 	4.02.3\
 	4.03.0\
 	4.04.2\
@@ -73,5 +68,10 @@
 	4.09.1\
 	4.10.2\
 	4.11.1\
-	4.12.0~beta1\
+	4.12.0\
+	4.13.1\
+	4.14.0\
+	5.0.0\
+	5.1.1\
+	5.2.0\
 ,$(eval $(call gen_sw,$(version))))
