=== src/Makefile ===
--- 
+++ 
@@ -6,17 +6,16 @@
  global IO option pMap std uChar uTF8 base64 unzip refList optParse dllist extLib
 
 ifdef minimal
-MODULES := $(filter-out unzip uChar uTF8, $(MODULES))
+MODULES := $(filter-out base64 unzip uChar uTF8, $(MODULES))
 endif
 
 CPPO_ARGS := $(shell ocaml configure.ml -cppo-args)
 CPPO := cppo $(CPPO_ARGS)
 
-OCAML_ARGS := -pp "$(CPPO)" -g
-OCAML_ARGS += $(shell ocaml configure.ml -compile-args)
+OCAML_ARGS := -pp "$(CPPO)" -g -bin-annot
 
-OCAMLC = ocamlfind ocamlc $(OCAML_ARGS)
-OCAMLOPT = ocamlfind ocamlopt $(OCAML_ARGS)
+OCAMLC = ocamlc $(OCAML_ARGS)
+OCAMLOPT = ocamlopt $(OCAML_ARGS)
 OCAMLDOC = ocamldoc -pp "$(CPPO)"
 
 MLI = $(filter-out extLib.mli, $(MODULES:=.mli))
