=== debian/changelog ===
extlib (1.8.0-2build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 20:17:07 +0200

extlib (1.8.0-2build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 13:39:49 +0100

extlib (1.8.0-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Sep 2024 14:57:44 +0200

extlib (1.8.0-2) unstable; urgency=medium

  * Team upload
  * Fixup autopkgtest failure due to new release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Sep 2024 07:34:59 +0200

extlib (1.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 23 Sep 2024 11:22:18 +0200
