=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
  debhelper-compat (= 13),
  ocaml,
  cppo,
- ocaml-findlib,
- libfindlib-ocaml-dev,
- dh-ocaml
-Standards-Version: 4.6.0
+ ocaml-dune,
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/extlib
 Vcs-Git: https://salsa.debian.org/ocaml-team/extlib.git
@@ -48,8 +47,6 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
-Replaces: libextlib-ocaml-dev (<< 1.5.1-4)
-Breaks: libextlib-ocaml-dev (<< 1.5.1-4)
 Description: extended standard library for OCaml (plugins)
  ExtLib is a project aiming at providing a complete - yet small -
  standard library for the OCaml programming language.
